Last modified: 2011-01-15 16:00:19 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 18891 - Deprecated Article::insertNewArticle still used in core
Deprecated Article::insertNewArticle still used in core
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
Page editing (Other open bugs)
unspecified
All All
: Normal normal with 1 vote (vote)
: ---
Assigned To: Nobody - You can work on this!
:
Depends on: 18654
Blocks: code_quality
  Show dependency treegraph
 
Reported: 2009-05-24 08:15 UTC by Siebrand Mazeland
Modified: 2011-01-15 16:00 UTC (History)
6 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Siebrand Mazeland 2009-05-24 08:15:46 UTC
Deprecated Article::insertNewArticle still used in core (also in some svn extensions).

docs/hooks.txt:saved, that is before insertNewArticle() is called
includes/Title.php: * - This is called from Article::insertNewArticle() to allow
includes/EditPage.php: $this->mArticle->insertNewArticle( $this->textbox1, $this->summary,
includes/Article.php: function insertNewArticle( $text, $summary, $isminor, $watchthis, $suppressRC=false, $comment=false, $bot=false ) {

maintenance/parserTests.inc: $art->insertNewArticle($text, '', false, false );
maintenance/addwiki.php: $wgArticle->insertNewArticle( <<<EOT

extensions/YouTubeAuthSub/YouTubeAuthSub_body.php: $a->insertNewArticle($content,
extensions/SpamDiffTool/SpamDiffTool.php: $a->insertNewArticle($text, wfMsg('spamdifftool_summary'), false, $watch);
extensions/wikiforum/wikiforum.php: $article->insertNewArticle($wgRequest->getVal('threadDescription', ''), WF_Msg('ThreadNew'), false, false);
extensions/Postcomment/SpecialPostcomment.php: $article->insertNewArticle($text, "", true, $watch, false, false, true);
extensions/TalkHere/TalkHereArticle.php: if ($name == 'insertNewArticle') {
Comment 1 Happy-melon 2009-05-24 16:17:41 UTC
Seems this is actually only *really* used in core in  EditPage.php, plus extensions.
Comment 2 Siebrand Mazeland 2009-06-05 16:39:40 UTC
undeprecated in r51504.
Comment 3 Aryeh Gregor (not reading bugmail, please e-mail directly) 2009-06-05 16:43:10 UTC
I didn't undeprecate it, I just removed the wfDeprecated() so it doesn't spam us until it's removed.  When it's removed, wfDeprecated() can be re-added.
Comment 4 Bryan Baron 2009-09-17 23:18:56 UTC
Still an issue?
Comment 5 Siebrand Mazeland 2009-09-17 23:57:23 UTC
Search results haven't really changed, so the reported issue still exists.
Comment 6 Matěj Grabovský 2010-06-26 13:25:36 UTC
Fixed in r68606.
Comment 7 Tim Starling 2010-08-09 08:36:45 UTC
Reverted r68606 and removed wfDeprecated(). There's no warning to worry about now so I'll mark this invalid.
Comment 8 Alexandre Emsenhuber [IAlex] 2011-01-15 16:00:19 UTC
Changing resolution to FIXED, the last call in EditPage.php was modified in r80402.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links